## ros-noetic-app-manager 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(app_manager)
find_package(catkin REQUIRED COMPONENTS
  message_generation
  message_runtime
  rosgraph
  roslaunch
  rospy
  rosunit
  std_msgs
  )

catkin_python_setup()

add_message_files(
    FILES
    AppList.msg
    ClientApp.msg
    AppInstallationState.msg
    App.msg
    KeyValue.msg
    AppStatus.msg
    ExchangeApp.msg
    Icon.msg
    StatusCodes.msg
)
add_service_files(
    FILES
    GetAppDetails.srv
    ListApps.srv
    UninstallApp.srv
    InstallApp.srv
    GetInstallationState.srv
    StartApp.srv
    StopApp.srv
)


generate_messages(
    DEPENDENCIES std_msgs
)

catkin_package(
    CATKIN_DEPENDS rospy roslaunch rosgraph rosunit
)


catkin_install_python(PROGRAMS bin/rosget bin/appmaster
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN *.py EXCLUDE)
file(GLOB_RECURSE TEST_FILES
  RELATIVE "${PROJECT_SOURCE_DIR}"
  "test/*.py")
foreach(TEST_FILE ${TEST_FILES})
  get_filename_component(DIR ${TEST_FILE} DIRECTORY)
  catkin_install_python(PROGRAMS ${TEST_FILE}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${DIR})
endforeach()
file(GLOB SCRIPTS_FILES
  RELATIVE "${PROJECT_SOURCE_DIR}"
  "${PROJECT_SOURCE_DIR}/scripts/*")
catkin_install_python(PROGRAMS ${SCRIPTS_FILES}
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  catkin_add_nosetests(test/test_app.py)
  catkin_add_nosetests(test/test_app_list.py)
  add_rostest(test/test_app.test)
  add_rostest(test/test_plugin.test)
  add_rostest(test/test_start_fail.test)
endif()

=== debian/changelog ===
ros-noetic-app-manager (1.3.0-1buster) buster; urgency=high

  * update setuptools to follow noetic migration guide (#36 <https://github.com/pr2/app_manager/issues/36>)
  * app_manager cannot start app after failing app #42  (#42 <https://github.com/pr2/app_manager/issues/42>)
    
      * set current_app None when start failed
      * add test_start_fail.test
      * need catch error on _stop_current()
      * add test_start_fail.test
        test to check #42 <https://github.com/pr2/app_manager/issues/42>, app_manager cannot start app after failing app
    
  * add test to check if we forget catkin_install_python (#44 <https://github.com/pr2/app_manager/issues/44>)
    
      * call app_manager/appA with python2/python3 with ROS_PYTHON_VERSION
      * use catkin_install_python for noetic
      * add test to check if we forget to use catkin_install_python
    
  * add_rostest(test/test_plugin.test) (#45 <https://github.com/pr2/app_manager/issues/45>)
    
      * run rosdep install in devel_create_tasks.Dockerfile
      * update to format3 and install python-rosdep
      * use port 11313 for app_manager in test_plugin.test
      * add_rostest(test/test_plugin.test)
    
  * add more test code (#41 <https://github.com/pr2/app_manager/issues/41>
    
      * show more error messages
      * default return value of plugin_order must be list
      * plugins: 'launch_args', 'plugin_args', 'start_plugin_args', 'stop_plugin_args' must be dict, not list
      * test_plugin: add test to check plugins
      * use list(self.subs.items()) instead of self.subs.items()
      * Error processing request: '>' not supported between instances of 'NoneType' and 'int'
      * python3: AttributeError: 'dict' object has no attribute 'iteritems'
      * add test for list_apps/stop_app, add test_stop_app.py
      * python3: AttributeError: 'dict' object has no attribute 'iterkeys'
      * add 2to3 in CHECK_PYTHON3_COMPILE
      * add test/test_app.test
      * test/resources/example-moin.launch: use arg launch_prefox to select if we use xterm or not
    
  * add arguments in StartAppRequest (#27 <https://github.com/pr2/app_manager/issues/27>)
    
      * use req.args for launch args in app_manager.py
      * add args in StartApp srv
    
  * do not run stop_app when _stopping is true (#38 <https://github.com/pr2/app_manager/issues/38>)
  * fix travis build (#39 <https://github.com/pr2/app_manager/issues/39>)
    
      * fix typo in .travis.yml
      * run with full path
      * add CHECK_PYTHON2_COMPILE and CHECK_PYTHON3_COMPILE tests
    
  * use plugins as instance / use normal method in app_manager_plugin (#37 <https://github.com/pr2/app_manager/issues/37>)
  * set stopped true in app timeout (#31 <https://github.com/pr2/app_manager/issues/31>)
  * use system python to check python3 compileall (#34 <https://github.com/pr2/app_manager/issues/34>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Nov 2021 15:00:00 -0000

ros-noetic-app-manager (1.2.0-1buster) buster; urgency=high

  * Merge pull request #29 <https://github.com/pr2/app_manager/issues/29> from knorth55/add-stopped
  * Merge pull request #28 <https://github.com/pr2/app_manager/issues/28> from knorth55/add-timeout
  * Merge pull request #30 <https://github.com/pr2/app_manager/issues/30> from knorth55/add-all-availables
    add available_apps in all platform apps
  * add available_apps in all platform apps
  * add stopped context in app_manager plugin
  * add timeout field in app file
  * add enable_app_replacement param in app_manager (#26 <https://github.com/pr2/app_manager/issues/26>)
    This allows for both behaviors (replace currently running app or error out) and let's users choose without changing code...
  * add noetic test and also checks python 2/3 compatibility (#24 <https://github.com/pr2/app_manager/issues/24>)
    * add noetic test and also checks python 2/3 compatibility
    * fix to support both python 2/3
    * use rospy.log** instead of print
    Co-authored-by: Shingo Kitagawa <mailto:shingogo@hotmail.co.jp>
  * Add app manager plugin (#25 <https://github.com/pr2/app_manager/issues/25>)
    Enable aspect-oriented modelling, e.g.
    - send a mail when someone starts an app
    - auto-record rosbags during app run
    - auto-upload files on app-close
    ...
    * start plugin launch in app_manager
    * start and stop plugin function
    * pass app in plugin functions
    * add exit_code in stop_plugin_attr
    * stop plugin functions when shutdown is called
    * launch when plugin
    * load plugin launch when it exists
    * use ctx instead of exit_code
    * pass exit_code to ctx
    * add plugins in AppDefinition
    * add _current_plugins and _plugin_context
    * pass launch arguments
    * add plugin_args for app plugins
    * overwrite roslaunch.config.load_config_default for kinetic
    * add __stop_current for shutdown and __stop_current
    * support "module: null" syntax for app definition
    * add app_manager plugin base class
    * refactor scripts/app_manager
    * add start_plugin_args and stop_plugin_args
    * add start_plugin_arg_yaml and stop_plugin_arg_yaml
    * add launch_arg_yaml
    * add plugin_order to set plugin order
    * update readme to add plugin doc
    * update readme to add app definitions
  * fix readme (#23 <https://github.com/pr2/app_manager/issues/23>)
  * add exit_code log in app_manager (#22 <https://github.com/pr2/app_manager/issues/22>)
    add exit_code log in app_manager
    During successful execution, dead_list should always end up empty.
  * add all platform for all robots (#17 <https://github.com/pr2/app_manager/issues/17>)
    add an additional keyword to explicitly support 'all' platforms
  * use rospack to search for app_manager app_dir (#19 <https://github.com/pr2/app_manager/issues/19>)
    * use rospack to search for app_manager app_dir
    * remove unused imports


=== debian/control ===
Source: ros-noetic-app-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-rosdep, python3-setuptools, ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-rosgraph, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rospy-tutorials, ros-noetic-rosservice, ros-noetic-rostest, ros-noetic-rosunit
Homepage: http://ros.org/wiki/app_manager
Standards-Version: 3.9.2

Package: ros-noetic-app-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-rosgraph, ros-noetic-roslaunch, ros-noetic-rospack, ros-noetic-rospy, ros-noetic-rosunit, ros-noetic-std-srvs
Description: app_manager

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-app-manager//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
